## groovy.swing.factory
Class BoxLayoutFactory

Constructor Summary
`BoxLayoutFactory()`

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`void` | `setParent(FactoryBuilderSupport builder, Object parent, Object child)`

Constructor Detail

### BoxLayoutFactory

    BoxLayoutFactory()

Method Detail

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### setParent

    public void setParent(FactoryBuilderSupport builder, Object parent, Object child)